> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific Job

> Retrieve a specific job by UUID.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /jobs/{UUID}
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /jobs/{UUID}:
    get:
      tags:
        - jobs
      summary: Get a specific Job
      description: Retrieve a specific job by UUID.
      operationId: getJob
      parameters:
        - $ref: '#/components/parameters/job-uuid'
        - $ref: '#/components/parameters/filter-exclude-fields'
        - $ref: '#/components/parameters/filter-include-fields'
      responses:
        '200':
          $ref: '#/components/responses/GetJob'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    job-uuid:
      name: UUID
      in: path
      required: true
      example: 617a1f8b-59d4-435d-aa33-695433d7155e
      description: >-
        The UUID of the job — this UUID is provided in the response on job
        creation.
      schema:
        type: string
        format: uuid
    filter-exclude-fields:
      name: exclude
      in: query
      description: >-
        Exclude certain fields from the response (e.g.,
        `exclude=status,device_id`).
      schema:
        type: array
        items:
          type: string
    filter-include-fields:
      name: include
      in: query
      description: Only return the provided fields (e.g., `include=status,device_id`).
      schema:
        type: array
        items:
          type: string
  responses:
    GetJob:
      description: Successfully retrieved a job
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Job'
  schemas:
    Job:
      type: object
      description: A quantum job.
      required:
        - id
        - status
        - request
      properties:
        id:
          $ref: '#/components/schemas/job-uuid'
        name:
          $ref: '#/components/schemas/name'
        status:
          $ref: '#/components/schemas/status'
        target:
          $ref: '#/components/schemas/target'
        noise:
          $ref: '#/components/schemas/noise'
        metadata:
          $ref: '#/components/schemas/metadata'
        shots:
          $ref: '#/components/schemas/shots'
        error_mitigation:
          $ref: '#/components/schemas/ErrorMitigation'
        gate_counts:
          type: object
          description: The number of gates used with this job.
          properties:
            1q:
              type: number
              example: 8
              description: How many 1-qubit gates were used.
            2q:
              type: number
              example: 2
              description: How many 2-qubit gates were used.
        qubits:
          type: integer
          example: 4
          description: The number of qubits used with this job.
        cost_model:
          type: string
          enum:
            - quantum_compute_time
            - execution_time
          description: The billing model used for this job.
        cost_usd:
          type: number
          example: 12.41
          description: The cost (in US dollars) of this job.
        request:
          type: integer
          format: unix-timestamp
          readOnly: true
          example: 1490932820
          description: The point in time this job was requested.
        start:
          type: integer
          format: unix-timestamp
          example: 1490932821
          description: The point in time this job was started.
        response:
          type: integer
          format: unix-timestamp
          readOnly: true
          example: 1490932834
          description: The point in time this job was completed.
        execution_time:
          type: integer
          description: The actual execution time of this job.
          example: 13
        predicted_execution_time:
          type: integer
          description: The predicted execution time of this job.
          example: 13
        children:
          type: array
          description: A list of child jobs that were created from this job.
          items:
            $ref: '#/components/schemas/job-uuid'
        results_url:
          type: string
          example: /v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/results
          description: >-
            Relative API path to retrieve the results for this job. See <a
            href="#tag/jobs/operation/getJobResults">Get a Specific Job's
            Output</a> for more details.
        failure:
          type: object
          description: Error metadata, if the job failed.
          properties:
            error:
              type: string
              description: A helpful error message.
              example: An error occurred!
            code:
              type: string
              description: A helpful error code.
              example: internal_error
        warning:
          type: object
          description: Warning metadata, if a warning is necessary.
          readOnly: true
          properties:
            messages:
              type: array
              description: A list of warnings to emit.
              items:
                type: string
        circuits:
          type: integer
          description: The number of circuits of this job.
          example: 1
        dry_run:
          type: boolean
          example: false
    job-uuid:
      type: string
      format: uuid
      example: aa54e783-0a9b-4f73-ad2f-63983b6aa4a8
      description: >-
        The UUID of a job. We'll provide the UUID initially in our response to a
        [job creation request](#operation/createJob).
    name:
      type: string
      description: A job name.
      example: My Awesome Job
    status:
      type: string
      example: completed
      description: Status of a job.
      enum:
        - submitted
        - ready
        - running
        - canceled
        - completed
        - failed
    target:
      type: string
      description: Target hardware for job to run on.
      default: simulator
      enum:
        - qpu.harmony
        - qpu.aria-1
        - qpu.aria-2
        - qpu.forte-1
        - qpu.forte-enterprise-1
        - simulator
    noise:
      description: >-
        When the target is "simulator", this field specifies optional noise
        parameters for simulation. (If these noise parameters are not provided,
        simulations will run on an ideal quantum computer model, without noise.)
        This field does not apply to `qpu.*` targets. When a noise model is
        applied, the simulator qubit limit is inherited from the modeled QPU's
        qubit limit. (This limit does not apply to the ideal quantum computer
        simulator. Please refer to the current qubit limit of the ideal quantum
        computer simulator.)
      type: object
      properties:
        model:
          type: string
          description: >-
            Selects a noise model to apply to a simulation job. The default,
            `ideal`, provides perfect simulation without noise, while other
            noise models like `harmony` are based on noise data collected from
            our actual quantum computers. Note that these are simplified noise
            models, not intended to exactly reproduce real quantum computations.
          enum:
            - harmony
            - aria-1
            - ideal
        seed:
          type: integer
          description: >-
            This is the seed value for the pseudo-random sampling and noise
            generation when a system noise model is specified. The seed needs to
            be a positive integer between 1 and 2^31. Providing a seed is
            optional and allows for repeatable (i.e. non-random) outcomes. If a
            seed is not specified, one is chosen at random and will be provided
            in the output for the simulation. This field does not apply to
            simulations using the "ideal" noise model. This field also does not
            apply to `qpu.*` targets.
          example: 100
    metadata:
      type: object
      description: User defined metadata.
      example:
        custom_key: a string, maximum 400 chars
      additionalProperties: true
    shots:
      type: number
      description: >-
        How many times to execute your circuit when submitting to a QPU or a
        "non-ideal" noisy simulator.
      default: 100
    ErrorMitigation:
      type: object
      description: >-
        Which error mitigation methods to apply to this circuit. This may affect
        how the job is compiled, and what configuration can be used to fetch
        results.
      properties:
        debias:
          type: boolean
          description: >-
            Set to true to turn on
            [debiasing](https://ionq.com/resources/debiasing-and-sharpening),
            which can improve circuit performance by removing qubit-specific
            noise. _Debiasing is on by default for Aria-class systems._
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````